/*
 * Közös fejléc a Win32/POSIX soros programozáshoz
 */

#include <sys/types.h>

#ifndef NEED_WINDOWS_H
#include <termios.h>
#else
#define WIN32_LEAN_AND_MEAN 1
#include <windows.h>
#endif

extern char *serial_names[];

typedef struct {
#ifdef NEED_WINDOWS_H
	HANDLE		fd;
	DCB		olddcb, newdcb;
	COMMTIMEOUTS	oldto, newto;
	size_t		err;
#else
	int		fd;
	struct termios	oldtio, newtio;
	ssize_t		err;
#endif
} serial_t;

serial_t *serial_open(const char *devname);
void	serial_setup(serial_t *serport);
void	serial_close(serial_t *serport);
void	serial_write(serial_t *serport, const char *buffer, size_t n);
void	serial_read(serial_t *serport, char *buffer, size_t n, int wait);
void	serial_delay(int ms);

